%define upstream_name    Tapper-Testplan
%define upstream_version 4.1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Main module for testplan reporting
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CHI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::DateParse)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(Email::Sender::Simple)
BuildRequires: perl(Email::Sender::Transport::SMTP)
BuildRequires: perl(Email::Simple)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(Module::Find) >= 0.110.0
BuildRequires: perl(Moose)
BuildRequires: perl(POSIX)
BuildRequires: perl(Tapper::Cmd::Testplan)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::Model)
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::CSV::Slurp)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: rsync
Requires:   rsync
BuildArch:  noarch

%description
This distribution provides a main module for testplan reporting, for Tapper.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.1.2-3.mga4
+ Revision: 528487
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 shlomif <shlomif> 4.1.2-2.mga4
+ Revision: 445710
- New version 4.1.2
- update to 4.1.2

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310824
- Missing BR and Requires
- Add missing BuildRequires
- Add desc
- imported package perl-Tapper-Testplan


* Sat Oct 27 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
